Installation

From PyPI

pip install pymadcad

Optionnal dependencies

There is some optionnal dependencies you can choose to install by yourself to enable some features of pymadcad.

From source

You will need an archive of the source directory <https://github.com/jimy-byerley/pymadcad>. Extract it somewhere then type the following commands in the extracted directory.

Make sure you installed the dependencies:

pip install moderngl pyglm cython pillow numpy scipy

You still need the PyQt5 library. As there is many possible sources, you have to install it manually so you can use the version/source you prefer. Choose one of the following:

  • Qt from PyPI

    pip install PyQt5
    
  • Qt from the linux repositories

    sudo apt install python3-pyqt5 python3-pyqt5.qtopengl
    

Compile the module:

python setup.py build_ext --inplace

The source directory can now be used as is.

For Debian/Ubuntu

Warning

There is no download page yet.

Download the .deb file, then

sudo dpkg -i python3-pymadcad.deb
sudo apt -f install

For Windows

the pip command comes with most of the python distributions, so refers to the PyPI section below.